TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

CipherEncrypt ( string plain, string cipher, string key ) -> string crypt

### Optional Arguments

IgnoreErrors | elt-alg^boo | (Default: FALSE) | Determine whether to ignore all errors and return FAILURE instead

### Description

<shortdoc> Encrypt `plain' using `cipher'. The `key' should have been created by `CipherKey' function and is indeed a string extended with another string. </shortdoc>

### Examples

x_k:=CipherKey("sometest","AES-256-CBC","RIPEMD160");; CipherEncrypt("clear text","AES-256-CBC",x_k);;

### See also

CipherKey ( string, string, string ) -> string, string
CipherDecrypt ( string, string, string ) -> string

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack